Subject: Re: bug#18029: 24.4.50; bad shell-script-mode indentation due to ^[{([] in a here document

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 29 May 2021 06:19:56 +0200

Ian Kelling <[email-masked]> writes:

> emacs -Q the following files, then use indent region on the whole buffer:
> (indent-region (point-min) (point-max)) Similar indent commands will work the
> same. This is how they get indented:
>
> #!/bin/bash
> if true; then
>     true <<'EOF'
> [ line beginning with one of [{( 
> EOF
> fi
>
> if true; then
>     true
>     # comment containing a single quote 'true
>            fi
>             true

(I'm going through old bug reports that unfortunately got no response at
the time.)

I'm unable to reproduce this in Emacs 28, and Emacs 25.1 is the oldest
one I have, and I can't reproduce it there, either.

But Noam tagged this as reproduced in Emacs 25.2.

Are you still seeing this problem in more recent Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no